Loading...
Searching...
No Matches
Opm::Elasticity::P1ShapeFunctionSet< ctype, rtype, dim > Class Template Reference

Singleton handler for the set of LinearShapeFunction. More...

`#include <shapefunctions.hpp>`

## Public Types

enum | { n = dim==2?4:8 }
| The number of shape functions in the set.
typedef LinearShapeFunction< ctype, rtype, dim > | ShapeFunction
| A single shape function.
typedef rtype | resulttype
| The type of the return value from a shape function.

## Public Member Functions

const ShapeFunction & | operator[] (int i) const
| Obtain a given shape function.

## Static Public Member Functions

static const P1ShapeFunctionSet & | instance ()
| Get the only instance of this class.

## Detailed Description

template<class ctype, class rtype, int dim>
class Opm::Elasticity::P1ShapeFunctionSet< ctype, rtype, dim >

Singleton handler for the set of LinearShapeFunction.

## Member Function Documentation

## operator[]()

template<class ctype, class rtype, int dim>

const ShapeFunction & Opm::Elasticity::P1ShapeFunctionSet< ctype, rtype, dim >::operator[] | ( | int | i | ) | const

inline

Obtain a given shape function.

Parameters

  [in] | i | The requested shape function

The documentation for this class was generated from the following file:

- opm/elasticity/shapefunctions.hpp